## MxSettings MxSettings |

## Synopsis

    struct              MxSettings;
    struct              MxSettingsClass;
    MxSettings *        mx_settings_get_default             (void);

## Object Hierarchy

      GObject
       +----MxSettings

## Properties

      "drag-threshold"           guint                 : Read / Write
      "font-name"                gchar*                : Read / Write
      "icon-theme"               gchar*                : Read / Write
      "long-press-timeout"       guint                 : Read / Write
      "small-screen"             gboolean              : Read / Write

## Description

## Details

### struct MxSettings

    struct MxSettings;

### struct MxSettingsClass

    struct MxSettingsClass {
      GObjectClass parent_class;
    };

### mx_settings_get_default ()

    MxSettings *        mx_settings_get_default             (void);

Get the default MxSettings object.

Returns : | the MxSettings singleton.

Since 1.2

## Property Details

### The `"drag-threshold"` property

      "drag-threshold"           guint                 : Read / Write

Pixel threshold to exceed before initiating a drag event.

Default value: 8

### The `"font-name"` property

      "font-name"                gchar*                : Read / Write

Default font name.

Default value: "Sans 10"

### The `"icon-theme"` property

      "icon-theme"               gchar*                : Read / Write

Name of the icon theme to use when loading icons.

Default value: "hicolor"

### The `"long-press-timeout"` property

      "long-press-timeout"       guint                 : Read / Write

Long press timeout.

Default value: 500

### The `"small-screen"` property

      "small-screen"             gboolean              : Read / Write

MeeGo small-screen mode is active.

Default value: FALSE